Aria: ArGlobalFunctor2< P1, P2 > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArGlobalFunctor2< P1, P2 > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArGlobalFunctor2< P1, P2 >:

List of all members.

## Detailed Description

### template<class P1, class P2>
class ArGlobalFunctor2< P1, P2 >

Functor for a global function with 2 parameters.

This is a class for global functions which take 2 parameters. This ties a C style function pointer into the functor class hierarchy as a convience. Code that has a reference to this class and treat it as an ArFunctor can use it like any other functor.

For an overall description of functors, see ArFunctor.

## Public Member Functions
| ArGlobalFunctor2 (void(*func)(P1, P2), P1 p1, P2 p2)
| Constructor - supply function pointer, default parameters.
| ArGlobalFunctor2 (void(*func)(P1, P2), P1 p1)
| Constructor - supply function pointer, default parameters.
| ArGlobalFunctor2 (void(*func)(P1, P2))
| Constructor - supply function pointer.
| ArGlobalFunctor2 ()
| Constructor.
virtual void | invoke (P1 p1, P2 p2)
| Invokes the functor.
virtual void | invoke (P1 p1)
| Invokes the functor.
virtual void | invoke (void)
| Invokes the functor.
virtual void | setP1 (P1 p1)
| Set the default parameter.
virtual void | setP2 (P2 p2)
| Set the default 2nd parameter.
virtual | ~ArGlobalFunctor2 ()
| Destructor.
## Protected Attributes
void(* | myFunc )(P1, P2)
P1 | myP1
P2 | myP2

## Constructor & Destructor Documentation

template<class P1, class P2>

ArGlobalFunctor2< P1, P2 >::ArGlobalFunctor2 | ( | void(*)(P1, P2) | func | ) | `[inline]`

Constructor - supply function pointer.

Parameters:

  | func | global function pointer

template<class P1, class P2>

ArGlobalFunctor2< P1, P2 >::ArGlobalFunctor2 | ( | void(*)(P1, P2) | func,
|  | P1 | p1 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | func | global function pointer
  | p1 | default first parameter

template<class P1, class P2>

ArGlobalFunctor2< P1, P2 >::ArGlobalFunctor2 | ( | void(*)(P1, P2) | func,
|  | P1 | p1,
|  | P2 | p2 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | func | global function pointer
  | p1 | default first parameter
  | p2 | default second parameter

## Member Function Documentation

template<class P1, class P2>

virtual void ArGlobalFunctor2< P1, P2 >::invoke | ( | P1 | p1,
|  | P2 | p2 |
| ) |  |  | `[inline, virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter
  | p2 | second parameter

Implements ArFunctor2< P1, P2 >.

template<class P1, class P2>

virtual void ArGlobalFunctor2< P1, P2 >::invoke | ( | P1 | p1 | ) | `[inline, virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter

Implements ArFunctor2< P1, P2 >.

template<class P1, class P2>

virtual void ArGlobalFunctor2< P1, P2 >::setP1 | ( | P1 | p1 | ) | `[inline, virtual]`

Set the default parameter.

Parameters:

  | p1 | default first parameter

template<class P1, class P2>

virtual void ArGlobalFunctor2< P1, P2 >::setP2 | ( | P2 | p2 | ) | `[inline, virtual]`

Set the default 2nd parameter.

Parameters:

  | p2 | default second parameter

The documentation for this class was generated from the following file:

- ArFunctor.h